<?php
require_once("dbconn.php");
require_once("phpFunctions.php");

$headers = [
"Author",
"Date Added",
"Effectivity Date", 
"Customer Name"
];

echo "<table id='MyTable_pldrsi' class='ui display' style='display: none;'>";
echo "<thead><tr>";
foreach ($headers as $index => $headerText) 
{
	echo "<th class='bg-light text-center text-uppercase'>{$headerText}</th>";
}
echo "</tr></thead><tbody>";

$result = executeQuery($conn, "SELECT * FROM pricelist WHERE is_deleted = FALSE AND is_current = TRUE ORDER BY pl_customer_name");

if ($result === false) { 
	throw new Exception("Error executing query: " . $conn->error);
} 

while ($row = mysqli_fetch_assoc($result)) 
{
    echo "<tr class='pl-clickable' data-id=" . $row["id"] . ">";
	echo "<td>".$row["addedby_user"]."</td>";
	echo "<td>".$row["lastupdateby_user"]."</td>";
	echo "<td>".$row["pl_effectivity_date"]."</td>";
	echo "<td>".$row["pl_customer_name"]."</td>";
	echo "</tr>";
}
echo "</tbody></table>";
?>