<?php
require_once("dbconn.php");
require_once("phpFunctions.php");

$result = executeQuery($conn, "SELECT * FROM delivery_receipt WHERE is_deleted = FALSE AND is_current = TRUE ORDER BY lastupdateby_user DESC");

if ($result === false) { 
	throw new Exception("Error executing query: " . $conn->error);
} 

$headers = [
"Author",
"Date Added",
"Customer Name", 
"DR Number"
];

echo "<table id='MyTable_pldrsi' class='ui display' style='display: none;'>";
echo "<thead><tr>";
foreach ($headers as $index => $headerText) 
{
	echo "<th class='bg-light text-center text-uppercase'>{$headerText}</th>";
}
echo "</tr></thead><tbody>";

if ($result->num_rows > 0) 
{
	while($row = $result->fetch_assoc()) 
	{
		echo "<tr class='dr-clickable' data-id=" . $row["id"] . ">";
		echo "<td>". $row["addedby_user"] . "</td>";
		echo "<td>". $row["lastupdateby_user"] . "</td>";
		echo "<td>". $row["dr_customer_name"] . "</td>";
		echo "<td>". $row["dr_number"] . "</td>";
		echo "</tr>";
	}
}
echo "</tbody></table>";
?>